# Class CIM_PhysicalCredentialAuthentication
extends CIM_AuthenticationCondition

A class describing a company's and/or administrator's credential requirements that should be authenticated in order to establish/trust a CIM_Identity. This class defines the specific type of physical credential that should be authenticated.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyCondition
|
+--CIM_AuthenticationCondition
|
+--CIM_PhysicalCredentialAuthentication

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A class describing a company's and/or administrator's credential requirements that should be authenticated in order to establish/trust a CIM_Identity. This class defines the specific type of physical credential that should be authenticated.
UMLPackagePath | string | CIM::Policy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherCredential | string |
Description | string | String specifying the credential when the TypeOfCredential property is set to 1, "Other".
ModelCorrespondence | string | CIM_PhysicalCredentialAuthentication.TypeOfCredential
PhysicalIdentifier | string |
Description | string | String defining a character or binary sequence, which is built into the physical credential to identify it. If left blank, it is the responsibility of the security infrastructure to verify that a valid credential (of the specified type) has been used.
TypeOfCredential | uint16 |
Description | string | Integer enumeration identifying the credential that should be authenticated.
ModelCorrespondence | string | CIM_PhysicalCredentialAuthentication.OtherCredential
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Magnetic Stripe Card, Smart Card, Password Generator Card

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyCondition
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PolicyConditionName | string | CIM_PolicyCondition
PolicyRuleCreationClassName | string | CIM_PolicyCondition
PolicyRuleName | string | CIM_PolicyCondition
SystemCreationClassName | string | CIM_PolicyCondition
SystemName | string | CIM_PolicyCondition
PolicyKeywords | string[] | CIM_Policy

## Class Methods